Subject: bug#6146: 23.1; Problem with vc-next-action

From: [email-masked]
Date: Sun, 9 May 2010 18:52:28 +0100

Attempting to run C-x v v from a *vc-dir* buffer (in this case, for a
git repository), I was prompted with:

<FILE> is edited but read-only; make it writable and continue?(y or n)

When I press “y” I get the error:

Wrong type argument: number-or-marker-p, nil

There are at least three things wrong here:

1. In the prompt mentioned above, “(y or n)” needs a space before it.

2. The file that was diagnosed as read only was not read-only: it had
   perms -rw-r-----, and emacs was running under the owner’s uid.

3. The error mentioned above. I get the following backtrace:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  logior(nil 128)
  vc-next-action(nil)
  call-interactively(vc-next-action nil nil)

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0)
 of 2010-03-29 on rothera, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  filladapt-mode: t
  show-paren-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  iswitchb-mode: t
  icomplete-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-n C-n C-p <return> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> M-x 
d e b u g - o n - e <tab> C-g C-h f d e b u g - o n 
- e n t r y <return> C-x b <return> M-: ( d e b u g 
- o n - C-g M-x s e t - v a r i <tab> <return> d e 
b u g - o n e r <tab> <backspace> <backspace> - e r 
<tab> <return> t <return> C-x b C-s <return> C-x v 
v y C-n C-p C-f C-f C-f C-f C-f C-n <return> C-s l 
o g i o r C-a <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <prior> <prior> 
M-< C-s l o g i o r <left> <left> <left> <left> C-h 
f <return> C-x k <return> C-x b * s h C-g C-x b s e 
a <return> C-x C-f C-g M-x C-g C-x d <return> C-s s 
e a r c h . c C-a <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <right> <right> 
C-x b C-s <return> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> M-x e m a c s <backspace> <backspace> <backspace> 
<backspace> <backspace> r e p o r t - b <backspace> 
e m <tab> <return>

Recent messages:
Quit [2 times]
/home/rrt/Software/zile-stable/src/src/search.c is edited but read-only; make it writable and continue?(y or n) 
Entering debugger...
uncompressing vc.el.gz...done
Note: file is write protected
Mark saved where search started
Mark set
Mark saved where search started
Quit [3 times]
Mark saved where search started